Page MenuHomePhabricator

Announcing the Developer Hub prototype release
Closed, ResolvedPublic

Description

The Developer Hub prototype release is a relevant event for our developer community and also for the purpose of developer outreach. We should have an announcement coordinated with Comms.

See it at http://devhub.wmflabs.org/wiki/Dev:Data_and_developer_hub , create blockers of this task or comment on related tasks TXX

Details

Reference
fl486

Related Objects

StatusAssignedTask
ResolvedVolker_E
ResolvedNone
DeclinedNone
DeclinedNone
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
Resolved Spage
Resolved Spage
OpenNone
Resolvedori
OpenNone
ResolvedNone
OpenNone
ResolvedAnomie
OpenNone
OpenNone
OpenNone
Resolved Spage
OpenNone
OpenNone
DeclinedQgil
Resolved Spage
Resolved Spage
OpenNone
DeclinedNone
ResolvedPrtksxna
ResolvedPrtksxna
ResolvedPrtksxna
Resolved Spage
ResolvedJdlrobson
ResolvedNone
DeclinedNone
ResolvedNone
ResolvedQgil
ResolvedVolker_E
Resolved violetto
ResolvedVolker_E
ResolvedVolker_E
DeclinedNone
ResolvedNone
ResolvedVolker_E
DeclinedNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedPastakhov
ResolvedNone
ResolvedPastakhov
ResolvedNone
ResolvedVolker_E
ResolvedNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
OpenNone
Resolved Spage
Resolved Spage
Resolved Spage

Event Timeline

flimport raised the priority of this task from to Normal.Sep 12 2014, 1:43 AM
flimport added a project: Web-APIs-Hub.
flimport set Reference to fl486.
Qgil lowered the priority of this task from Normal to Low.Oct 22 2014, 6:20 PM
gpaumier set Security to None.
gpaumier moved this task from To Triage to Not ready to announce on the User-notice board.
Spage added subscribers: MSyed, Spage.

This should be doable after some polishing based on feedback from @Qgil, @MSyed, etc.

Spage claimed this task.Jun 2 2015, 5:20 PM
Spage updated the task description. (Show Details)
Spage raised the priority of this task from Low to High.Jun 16 2015, 4:10 PM

Announce soon

Spage moved this task from Backlog to Doing on the ECT-June-2015 board.Jun 16 2015, 4:11 PM
Qgil added a comment.Jun 19 2015, 8:47 AM

I removed T103049 as blocker. I agree that Flow in discussion pages is a must, but if you want Flow by the announcement of the prototype, it needs to be enabled IN the prototype. :)

Before doing that, we need to make sure that we will be able to migrate those discussion pages (just like we will need to migrate the content pages themselves).

@Qgil, P840 is draft announcement for wikitech-l and engineering lists.

Qgil added a comment.Jun 25 2015, 6:40 AM

Ok, this is a very good start. Just a few comments:

  • https://www.mediawiki.org/wiki/dev.wikimedia.org should be presented as the main project page, and its discussion page as the main channel for general feedback. Commenting on existing tasks and creating new tasks should be presented as the preferred channel for specific feedback. Reply to this thread should be the last option, for lazy brats.
  • "Around the 2014 Zurich Hackathon" should say "Since December 2013". I would say "Moiz Syed and others" since he has been the only clear driver still around, also not to get into too much details of by Juliusz and not Stephen, etc.
  • You might want to mention explicitly that the master versions of the pages are in mediawiki.org, and that they are imported from time to time to the prototype. I didn't know that and I'm watching this project, so I guess the rest will not know either.
  • The FAQ is the best and most hilarious FAQ I have read for a long time. Thank you for this. The only change I would make is remove "Prateek Saxena, Andrew Garrett, and May Galloway" and add "The Design team (now Reading Design)". Again, not to dwell too much into genealogy, which makes this announcement look like targeted to a small audience of insiders instead of our tech community at large and beyond.

Also, why bother so much about the format? This is an announcement to be sent primarily via email, right?

Spage closed this task as Resolved.Jun 26 2015, 3:35 AM

Announced!

In T307#1399157, @Qgil wrote:

Also, why bother so much about the format? This is an announcement to be sent primarily via email, right?

I forgot that wikitech e-mail is ASCII-only :-) But it still saves me time when composing to have Phabricator auto-link tasks.

Qgil added a comment.Jun 26 2015, 4:07 AM

Congratulations! Phew.

We might want to recycle the FAQ in the wiki page, as a way to direct
people asking or mentioning topics covered there.

Krinkle moved this task from Backlog to Archive on the Developer-notice board.Apr 18 2016, 9:16 PM